import gi
gi.require_version('Gtk', '4.0')
from gi.repository import Gtk

def on_activate(app):
    my_app_window = Gtk.ApplicationWindow(application=app)

    my_button = Gtk.Button(label="Hello")
    my_button.connect('clicked', respond_to_button, my_app_window)

    my_app_window.set_child(my_button)

    my_app_window.present()

def respond_to_button(button, win):
    print("Hello world")
    win.close()

if __name__ == '__main__':
    app = Gtk.Application()
    app.connect('activate', on_activate)
    app.run(None)
