import gi
gi.require_version('Gtk', '4.0')
gi.require_version('Adw', '1')
from gi.repository import Gtk, Adw
class MainWindow(Gtk.ApplicationWindow):
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        # Things will go here
        app = self.get_application()
        sm = app.get_style_manager()
        sm.set_color_scheme(Adw.ColorScheme.FORCE_DARK)

        # Set some window parameters
        self.set_default_size(600, 600)
        self.set_title("MyApp")

        # add boxes.
        box1 = Gtk.Box(orientation=Gtk.Orientation.VERTICAL)
        box2 = Gtk.Box(orientation=Gtk.Orientation.VERTICAL)
        box3 = Gtk.Box(orientation=Gtk.Orientation.VERTICAL)

        my_button = Gtk.Button(label="Box 1")
        my_button.connect('clicked', self.respond_to_button)
        my_button.set_vexpand(True)
        box1.append(my_button)

        my_button2 = Gtk.Button(label="Box 2")
        my_button2.set_vexpand(True)
        box2.append(my_button2)

        my_button3 = Gtk.Button(label="Box 3")
        my_button3.set_vexpand(True)
        box2.append(my_button3)

        box1.append(box2)
        box1.append(box3)

        self.set_child(box1)

    def respond_to_button(self, button):
        print("Hello world")
        self.close()
